<?php
function smarty_function_admin_get_form_fields($params, &$smarty) {
	//
	global $section;
	global $data;
	$keys = array();
	$spool = array();
	$preview = array();

	//
	require(HOME_DIR."data/".$section."/".$data.".php");
	foreach($my_content as $key => $value) {
		array_push($keys, $key);
		$value = rtrim($value);
		$value = stripslashes($value);
		$value = str_replace("<br />", "", $value);
		array_push($spool, $value);
		array_push($preview, strip_tags($value));
	}
	//array_multisort($keys, $spool);
	$smarty->assign("key_spool", $keys);
	$smarty->assign("value_spool", $spool);
	$smarty->assign("preview_spool", $preview);
}
?>